Subject: Re: pdksh and CTRL-C, CTRL-D, etc.
From: [email-masked] (Steven Hein)

20 Aug 1998 23:46:15 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I answered my own question, but I thought I'd post it because it
might be of interest to other ksh fans!

If I add 'tty' to my CYGWIN32 variable, everything works fine (which
makes sense--pdksh is written to interface w/ a tty).  My current
CYGWIN32 environment variable is:

CYGWIN32=binmode tty ntea

One other quirk I found with pdksh; I need to run it in 'vi' mode, or
things act strange (prompt is printed twice, echo acts funny sometimes...).
As long as I run with VISUAL=vi set, it's great.

Also, I found that when 'tty' is set in CYGWIN32, the native WinNT port
of vim 5.1 doesn't seem to work properly (when running it from a bash
or pdksh).  (This might be an indication of a good reason to provide
GNU-win32 versions of tools--even though native versions are also
available--in the GNU-win32 CD package that is being discussed).

Steve Hein ([email-masked])
Silicon Graphics, Inc.

Steven Hein wrote:
> 
> 
> I got pdksh 5.2.13 up and running, but I'm having a problem getting
> CTRL-C and CTRL-D (among other things, I'm sure) working.  I set
> VISUAL=vi before starting to get to 'vi' command-editing mode
> (just can't live without that vi-style command editing!).
> I can't use CTRL-C to interrupt anything--it just prints "^C" on the
> screen.  I tried to use 'stty intr ^c', but I got the message:
> 
> stty: standard input: unable to perform all requested operations
> 
> I don't have any problems of this type with bash....I'd imagine
> that this problem relates to the underlying differences between
> NT and UNIX......But does anyone know of a fix?
> 
> Running 19.3 & NT4 SP3.
> 
> Steve Hein  ([email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".